Bug 60712 - On inserting New Row/column does not inherit the style of cells in table
Summary: On inserting New Row/column does not inherit the style of cells in table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: highest normal
Assignee: Hideki Ikeda
QA Contact:
URL:
Whiteboard: target:4.4.0
Keywords:
: 73830 (view as bug list)
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2013-02-12 06:16 UTC by gokul
Modified: 2014-12-20 22:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
ON inserting new row and column (107.33 KB, application/vnd.oasis.opendocument.presentation)
2013-02-12 06:16 UTC, gokul
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gokul 2013-02-12 06:16:29 UTC
Created attachment 74667 [details]
ON inserting new row and column

When We have an table with n rows and n columns and have modified style like 
Borders, or alignment or writing modes etc. And If we want to add new row or column it should be same as the previous cells in table. Instead the cells are inserted with default values.

Steps to Reproduce:
1. Create an presentation slide in impress.
2. Create an table with n rows and n columns. 
3  Add some properties  like change the border color/size, or writing mode.
4. insert An row wither with the insert row or use tab at last cell, Or insert an column. 

The column is inserted with default style and not same as the already present table.

in writer the new rows/columns inherits the style of parent cells.
Comment 1 Lior Kaplan 2013-02-12 22:47:56 UTC
Verified in version 4.0.0
Comment 2 Joel Madero 2013-03-19 22:22:16 UTC
Changing blocker to 3.6 MAB as it exists in 3.6 and it should be a blocker for the oldest version that it exist and that the MAB still is open.
Comment 3 tommy27 2013-08-11 07:19:32 UTC
confirmed in LibO 4.0.4

moving from mab3.6 to mab4.0 list since 3.6.x is EOL.
Comment 4 Björn Michaelsen 2014-01-17 09:58:40 UTC
(This is an automated message.)

Setting priority to highest as this is a 4.0 MAB. This is part of an effort to make the importance of MAB reflected in priority too.
Comment 5 stragu 2014-02-13 23:13:08 UTC
Is this still an issue with 4.1 or 4.2? We are trying to clean up mab4.0 as it reached EOL a while ago. Testing this would be very much appreciated.
Comment 6 tommy27 2014-02-14 06:45:19 UTC
still reproducible in LibO 4.2.0.4 under Win7 64bit
moving to mab4.1
Comment 7 Owen Genat (retired) 2014-02-14 08:54:38 UTC
*** Bug 73830 has been marked as a duplicate of this bug. ***
Comment 8 tommy27 2014-05-10 11:30:48 UTC
still reproducible with LibO 4.2.3.3 and 4.3.0.0.alpha1+
Build ID: a1dd961c3093f5f7624e4d1f2240e9120fd13f23
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-06_11:47:48

moving to mab4.2 list since 4.1.x reached EOL
Comment 9 Hideki Ikeda 2014-07-11 14:58:52 UTC
I will look into this.
Comment 10 Hideki Ikeda 2014-07-22 18:18:08 UTC
I submitted a change for review.
https://gerrit.libreoffice.org/#/c/10373/
Comment 11 Commit Notification 2014-09-17 13:17:15 UTC
Hideki Ikeda committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9bfd1aced3da2aab9df3fc6f93543a5b6b1075b6

fdo#60712 - Inherits cell styles in inserting rows/columns



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Kohei Yoshida 2014-09-17 13:18:15 UTC
The fix is now merged.  I'll mark this resolved.
Comment 13 Mike §chinagl 2014-12-20 22:19:42 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

When we have a table in impress, have modified a cell style and then add a new row or column it now inherits the style of the current row/column for the new one instead of using default values.